# GetTaxCalculationSetting

Gets tax calculation settings by id.

`GET /api/v2/taxCalculationSettings/{id}`

**API:** AFC SaaS Pro REST v2
**Tag:** Customizations
**API Version:** v2
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/communications/api/v2/methods/Customizations/GetTaxCalculationSetting/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `client_id` | integer | header | Yes | The client id. |
| `id` | integer | path | Yes | The id. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `TaxCalculationSettingsDto` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `TaxCalculationSettingsDto`

A tax calculation settings domain transfer object.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique identifier. |
| `name` | string | No | The name. |
| `returnNonBillable` | boolean | No | Return Non-Billable |
| `taxOnTaxAlgorithm` | TaxOnTaxAlgorithm | No |  |
| `selfTaxAlgorithm` | SelfTaxAlgorithm | No |  |
| `createdBy` | string | No | The user who created the tax calculation settings. |
| `createdDate` | string | No | The date and time the tax calculation settings were created. |
| `updatedBy` | string | No | The user who last updated the tax calculation settings. |
| `updatedDate` | string | No | The date and time the tax calculation settings were last updated. |